summaryrefslogtreecommitdiffstats
path: root/source/xap/mozilla-thunderbird
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/mozilla-thunderbird')
-rw-r--r--source/xap/mozilla-thunderbird/d30c921928a12fccd5085888011f899ff1c788cd.patch30
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild3
2 files changed, 33 insertions, 0 deletions
diff --git a/source/xap/mozilla-thunderbird/d30c921928a12fccd5085888011f899ff1c788cd.patch b/source/xap/mozilla-thunderbird/d30c921928a12fccd5085888011f899ff1c788cd.patch
new file mode 100644
index 000000000..79d365d8e
--- /dev/null
+++ b/source/xap/mozilla-thunderbird/d30c921928a12fccd5085888011f899ff1c788cd.patch
@@ -0,0 +1,30 @@
+From d30c921928a12fccd5085888011f899ff1c788cd Mon Sep 17 00:00:00 2001
+From: Jan Beich <jbeich@FreeBSD.org>
+Date: Sun, 12 Dec 2021 02:16:02 +0100
+Subject: [PATCH 32/32] bmo#1745560: Fix building against >=wayland-1.20
+
+Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
+---
+ widget/gtk/mozwayland/mozwayland.c | 7 +++++++
+ 1 file changed, 7 insertions(+)
+
+diff --git a/widget/gtk/mozwayland/mozwayland.c b/widget/gtk/mozwayland/mozwayland.c
+index 7a448e6321..b997c59d78 100644
+--- a/widget/gtk/mozwayland/mozwayland.c
++++ b/widget/gtk/mozwayland/mozwayland.c
+@@ -40,6 +40,13 @@ MOZ_EXPORT void wl_event_queue_destroy(struct wl_event_queue* queue) {}
+
+ MOZ_EXPORT void wl_proxy_marshal(struct wl_proxy* p, uint32_t opcode, ...) {}
+
++MOZ_EXPORT struct wl_proxy* wl_proxy_marshal_flags(
++ struct wl_proxy* proxy, uint32_t opcode,
++ const struct wl_interface* interface, uint32_t version, uint32_t flags,
++ ...) {
++ return NULL;
++}
++
+ MOZ_EXPORT void wl_proxy_marshal_array(struct wl_proxy* p, uint32_t opcode,
+ union wl_argument* args) {}
+
+--
+2.34.1
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index 7762dd91d..3ce9be2b3 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -172,6 +172,9 @@ zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
# Bypass a test that fails the build:
zcat $CWD/gkrust.a.no.networking.check.diff.gz | patch -p1 --verbose || exit 1
+# Fix build with wayland >= 1.20.0:
+zcat $CWD/d30c921928a12fccd5085888011f899ff1c788cd.patch | patch -p1 --verbose || exit 1
+
# Fetch localization, if requested:
if [ ! -z $MOZLOCALIZE ]; then
LOC_TAG="THUNDERBIRD_$( echo $VERSION | tr \. _ )_RELEASE"